Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.expr
Class NodeListExpression

    java.lang.Object
      |
      +--com.icl.saxon.expr.Expression
            |
            +--com.icl.saxon.expr.NodeSetExpression
                  |
                  +--com.icl.saxon.expr.NodeListExpression

public class NodeListExpression
extends NodeSetExpression

A NodeListExpression is an expression denoting a set of nodes sorted in document order.
It is not possible to write a NodeListExpression directly using XPath; however a node set expression is treated as a NodeListExpression when it appears in certain contexts, specifically the select attribute of xsl:apply-templates or xsl:for-each.

Fields inherited from class com.icl.saxon.expr.Expression
`staticContext`

Constructor Summary
`NodeListExpression(Expression exp)` Constructor

Method Summary
`void` | `display(int level)` Diagnostic print of expression structure
`NodeEnumeration` | `enumerate(Context c, boolean sort)` Return an enumeration that returns the nodes in document order
`int` | `getDependencies()` Determine which aspects of the context the expression depends on.
`Expression` | `reduce(int dependencies, Context context)` Perform a partial evaluation of the expression, by eliminating specified dependencies on the context.
`Expression` | `simplify()` Simplify the expression

Methods inherited from class com.icl.saxon.expr.NodeSetExpression
`evaluate, evaluateAsBoolean, evaluateAsNodeSet, evaluateAsString, getDataType, outputStringValue, selectFirst`

Methods inherited from class com.icl.saxon.expr.Expression
`containsReferences, evaluateAsNumber, getStaticContext, indent, isContextDocumentNodeSet, make, setStaticContext, usesCurrent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeListExpression

    public NodeListExpression(Expression exp)

  Constructor
  Parameters:
    `exp` - The expression that delivers the unsorted node-set

Method Detail

### simplify

    public Expression simplify()
                        throws XPathException

  Simplify the expression
  Overrides:
    `simplify` in class `Expression`
  Returns:
    the simplified expression

### getDependencies

    public int getDependencies()

  Determine which aspects of the context the expression depends on. The result is a bitwise-or'ed value composed from constants such as Context.VARIABLES and Context.CURRENT_NODE
  Overrides:
    `getDependencies` in class `Expression`

### reduce

    public Expression reduce(int dependencies,
                             Context context)
                      throws XPathException

  Perform a partial evaluation of the expression, by eliminating specified dependencies on the context.
  Overrides:
    `reduce` in class `Expression`
  Parameters:
    `dependencies` - The dependencies to be removed
    `context` - The context to be used for the partial evaluation
  Returns:
    a new expression that does not have any of the specified dependencies

### enumerate

    public NodeEnumeration enumerate(Context c,
                                     boolean sort)
                              throws XPathException

  Return an enumeration that returns the nodes in document order
  Overrides:
    `enumerate` in class `NodeSetExpression`
  Parameters:
    `c` - the evaluation context
    `sort:` - ignored, this class is used because the enumeration is always in document order

### display

    public void display(int level)

  Diagnostic print of expression structure
  Overrides:
    `display` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD